Bug 1880596 - Include Python 3.9.0rc2 in Fedora 33 Beta
Summary: Include Python 3.9.0rc2 in Fedora 33 Beta
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python3.9
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-18 19:21 UTC by Miro Hrončok
Modified: 2020-09-21 21:10 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-21 21:10:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-09-18 19:21:21 UTC
We are deep into the beta freeze, but since we still have open blockers, I propose that we include Python 3.9.0rc2 in Fedora 33 Beta.

This has the benefit of having a version of Python in Beta that is close to identical to the final 3.9.0 release to be included in Fedora 33 stable.

I have proposed this in https://lists.fedoraproject.org/archives/list/test@lists.fedoraproject.org/thread/DC7SZIJ7XVSG5K7DMWYYMUMZWNL4CPDH/ and https://lists.fedoraproject.org/archives/list/python-devel@lists.fedoraproject.org/thread/DC7SZIJ7XVSG5K7DMWYYMUMZWNL4CPDH/ but I figured lets open the bugzilla, so the proposal get's more exposure.

Comment 1 Fedora Update System 2020-09-18 19:21:58 UTC
FEDORA-2020-78bb031321 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-78bb031321

Comment 2 Zbigniew Jędrzejewski-Szmek 2020-09-19 15:36:14 UTC
The commit list v3.9.0rc1..3.9 has localized bugfixes and some documentation cleanups. The potential for
regressions seems low. OTOH, I don't see a particular reason to include this in the beta. It could
go in as an update right after.

Comment 3 Miro Hrončok 2020-09-19 16:18:33 UTC
The main idea was to release the Beta installer and the live image with 3.9.0rc2 to be able to uncover regressions by users before we put it into final.

Comment 4 Zbigniew Jędrzejewski-Szmek 2020-09-19 17:56:13 UTC
Yeah, but the same reasoning would apply to pretty much every package. If you think it's important
to test the installer with this version, that'd be a good argument though.

Comment 5 Kamil Páral 2020-09-21 08:54:35 UTC
Miro, does the rc1..rc2 diff contain some highly visible fix that could potentially positively affect the installer or the desktop apps?

Comment 6 Miro Hrončok 2020-09-21 11:13:53 UTC
Not to my knowledge.

Comment 7 Adam Williamson 2020-09-21 19:16:19 UTC
Discussed at 2020-09-21 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2020-09-21/f33-blocker-review.2020-09-21-16.00.html . Rejected as a freeze exception issue as we felt it's just too potentially dangerous a change at this point in the process, we'd rather it go in as a 0-day update.


Note You need to log in before you can comment on or make changes to this bug.